Bug 922165 - Review Request: openstack-ceilometer - OpenStack measurement collection service
Summary: Review Request: openstack-ceilometer - OpenStack measurement collection service
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kashyap Chamarthy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 956409
TreeView+ depends on / blocked
 
Reported: 2013-03-15 15:37 UTC by Pádraig Brady
Modified: 2013-05-06 00:39 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-06 00:39:00 UTC
kchamart: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Pádraig Brady 2013-03-15 15:37:42 UTC
Spec URL: http://fedorapeople.org/~pbrady/ceilometer/openstack-ceilometer.spec
SRPM URL: http://fedorapeople.org/~pbrady/ceilometer/openstack-ceilometer-2013.1-0.1.g3.fc18.src.rpm
Description: OpenStack ceilometer provides services to measure and
collect metrics from OpenStack components.
Fedora Account System Username: pbrady

Comment 1 Kashyap Chamarthy 2013-03-20 04:53:54 UTC
Initial review from fedora-review tool. Manaul investigation needs to be done.

From an initial glance, there appears to be some install errors.


That was the command I invoked:
-----------
$ fedora-review -m fedora-rawhide-x86_64 --rpm-spec -n openstack-ceilometer-2013.1-0.1.g3.fc18.src.rpm 
-----------


Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
- Package contains BR: python2-devel or python3-devel
  See: http://fedoraproject.org/wiki/Packaging:Python#BuildRequires


===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[ ]: Sources contain only permissible code or content.
[ ]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package is not known to require ExcludeArch.
[ ]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python-
     ceilometer , openstack-ceilometer-common , openstack-ceilometer-compute ,
     openstack-ceilometer-central , openstack-ceilometer-collector ,
     openstack-ceilometer-api
[ ]: Package complies to the Packaging Guidelines
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache (v2.0)".
     3 files have unknown license. Detailed output of licensecheck in
     /home/kashyap/rpmbuild/SRPMS/openstack-ceilometer/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[ ]: Package does not own files or directories owned by other packages.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Python:
[ ]: Python eggs must not download any dependencies during the build process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[ ]: Scriptlets must be sane, if used.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[ ]: Files in /run, var/run and /var/lock uses tmpfiles.d when appropriate
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Installation errors
-------------------
INFO: mock.py version 1.1.29 starting...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Mock Version: 1.1.29
INFO: Mock Version: 1.1.29
Start: lock buildroot
INFO: installing package(s): /home/kashyap/rpmbuild/SRPMS/openstack-ceilometer/results/python-ceilometer-2013.1-0.1.g3.fc19.noarch.rpm /home/kashyap/rpmbuild/SRPMS/openstack-ceilometer/results/openstack-ceilometer-common-2013.1-0.1.g3.fc19.noarch.rpm /home/kashyap/rpmbuild/SRPMS/openstack-ceilometer/results/openstack-ceilometer-compute-2013.1-0.1.g3.fc19.noarch.rpm /home/kashyap/rpmbuild/SRPMS/openstack-ceilometer/results/openstack-ceilometer-central-2013.1-0.1.g3.fc19.noarch.rpm /home/kashyap/rpmbuild/SRPMS/openstack-ceilometer/results/openstack-ceilometer-collector-2013.1-0.1.g3.fc19.noarch.rpm /home/kashyap/rpmbuild/SRPMS/openstack-ceilometer/results/openstack-ceilometer-api-2013.1-0.1.g3.fc19.noarch.rpm
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/fedora-rawhide-x86_64/root/', 'install', '/home/kashyap/rpmbuild/SRPMS/openstack-ceilometer/results/python-ceilometer-2013.1-0.1.g3.fc19.noarch.rpm', '/home/kashyap/rpmbuild/SRPMS/openstack-ceilometer/results/openstack-ceilometer-common-2013.1-0.1.g3.fc19.noarch.rpm', '/home/kashyap/rpmbuild/SRPMS/openstack-ceilometer/results/openstack-ceilometer-compute-2013.1-0.1.g3.fc19.noarch.rpm', '/home/kashyap/rpmbuild/SRPMS/openstack-ceilometer/results/openstack-ceilometer-central-2013.1-0.1.g3.fc19.noarch.rpm', '/home/kashyap/rpmbuild/SRPMS/openstack-ceilometer/results/openstack-ceilometer-collector-2013.1-0.1.g3.fc19.noarch.rpm', '/home/kashyap/rpmbuild/SRPMS/openstack-ceilometer/results/openstack-ceilometer-api-2013.1-0.1.g3.fc19.noarch.rpm', '--setopt=tsflags=nocontexts']
Error: Package: openstack-ceilometer-api-2013.1-0.1.g3.fc19.noarch (/openstack-ceilometer-api-2013.1-0.1.g3.fc19.noarch)
           Requires: python-wsme
 You could try using --skip-broken to work around the problem
Error: Package: python-ceilometer-2013.1-0.1.g3.fc19.noarch (/python-ceilometer-2013.1-0.1.g3.fc19.noarch)
           Requires: python-stevedore
 You could try running: rpm -Va --nofiles --nodigest



Rpmlint
-------
Checking: python-ceilometer-2013.1-0.1.g3.fc19.noarch.rpm
          openstack-ceilometer-common-2013.1-0.1.g3.fc19.noarch.rpm
          openstack-ceilometer-compute-2013.1-0.1.g3.fc19.noarch.rpm
          openstack-ceilometer-central-2013.1-0.1.g3.fc19.noarch.rpm
          openstack-ceilometer-collector-2013.1-0.1.g3.fc19.noarch.rpm
          openstack-ceilometer-api-2013.1-0.1.g3.fc19.noarch.rpm
python-ceilometer.noarch: E: explicit-lib-dependency python-amqplib
python-ceilometer.noarch: W: no-documentation
openstack-ceilometer-common.noarch: W: non-standard-gid /etc/ceilometer/ceilometer.conf ceilometer
openstack-ceilometer-common.noarch: E: non-readable /etc/ceilometer/ceilometer.conf 0640L
openstack-ceilometer-common.noarch: W: non-standard-gid /etc/ceilometer/policy.json ceilometer
openstack-ceilometer-common.noarch: E: non-readable /etc/ceilometer/policy.json 0640L
openstack-ceilometer-common.noarch: E: incoherent-logrotate-file /etc/logrotate.d/openstack-ceilometer
openstack-ceilometer-common.noarch: W: non-standard-uid /var/log/ceilometer ceilometer
openstack-ceilometer-common.noarch: W: non-standard-gid /etc/ceilometer/sources.json ceilometer
openstack-ceilometer-common.noarch: E: non-readable /etc/ceilometer/sources.json 0640L
openstack-ceilometer-common.noarch: W: non-standard-uid /var/run/ceilometer ceilometer
openstack-ceilometer-common.noarch: W: non-standard-uid /var/lib/ceilometer ceilometer
openstack-ceilometer-common.noarch: W: non-standard-gid /var/lib/ceilometer ceilometer
openstack-ceilometer-common.noarch: W: non-standard-uid /var/lib/ceilometer/tmp ceilometer
openstack-ceilometer-common.noarch: W: non-standard-gid /var/lib/ceilometer/tmp ceilometer
openstack-ceilometer-common.noarch: W: no-manual-page-for-binary ceilometer-dbsync
openstack-ceilometer-common.noarch: W: no-manual-page-for-binary ceilometer-agent-compute
openstack-ceilometer-common.noarch: W: no-manual-page-for-binary ceilometer-api
openstack-ceilometer-common.noarch: W: no-manual-page-for-binary ceilometer-agent-central
openstack-ceilometer-common.noarch: W: no-manual-page-for-binary ceilometer-collector
openstack-ceilometer-compute.noarch: W: only-non-binary-in-usr-lib
openstack-ceilometer-compute.noarch: W: no-documentation
openstack-ceilometer-compute.noarch: W: no-manual-page-for-binary ceilometer-agent-compute
openstack-ceilometer-central.noarch: W: only-non-binary-in-usr-lib
openstack-ceilometer-central.noarch: W: no-documentation
openstack-ceilometer-central.noarch: W: no-manual-page-for-binary ceilometer-agent-central
openstack-ceilometer-collector.noarch: W: only-non-binary-in-usr-lib
openstack-ceilometer-collector.noarch: W: no-documentation
openstack-ceilometer-collector.noarch: W: no-manual-page-for-binary ceilometer-collector
openstack-ceilometer-api.noarch: W: only-non-binary-in-usr-lib
openstack-ceilometer-api.noarch: W: no-manual-page-for-binary ceilometer-api
6 packages and 0 specfiles checked; 5 errors, 26 warnings.




Requires
--------
openstack-ceilometer-central (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python
    openstack-ceilometer-common
    python-glanceclient
    python-keystoneclient
    python-novaclient
    python-swiftclient

openstack-ceilometer-compute (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python
    libvirt-python
    openstack-ceilometer-common
    python-keystoneclient
    python-novaclient

openstack-ceilometer-api (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python
    openstack-ceilometer-common
    pymongo
    python-flask
    python-pecan
    python-wsme

openstack-ceilometer-collector (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python
    openstack-ceilometer-common
    pymongo

python-ceilometer (rpmlib, GLIBC filtered):
    python(abi)
    python-amqplib
    python-anyjson
    python-eventlet
    python-greenlet
    python-iso8601
    python-kombu
    python-lxml
    python-migrate
    python-qpid
    python-sqlalchemy
    python-stevedore
    python-webob

openstack-ceilometer-common (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python
    config(openstack-ceilometer-common)
    python-ceilometer



Provides
--------
openstack-ceilometer-central:
    openstack-ceilometer-central

openstack-ceilometer-compute:
    openstack-ceilometer-compute

openstack-ceilometer-api:
    openstack-ceilometer-api

openstack-ceilometer-collector:
    openstack-ceilometer-collector

python-ceilometer:
    python-ceilometer

openstack-ceilometer-common:
    config(openstack-ceilometer-common)
    openstack-ceilometer-common



MD5-sum check
-------------
http://tarballs.openstack.org/ceilometer/ceilometer-2013.1.g3.tar.gz :
  CHECKSUM(SHA256) this package     : a12aec52f262d909e6d3164728b94faf6d8c55fa7aa191ad68e540c90da90692
  CHECKSUM(SHA256) upstream package : a12aec52f262d909e6d3164728b94faf6d8c55fa7aa191ad68e540c90da90692


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 --rpm-spec -n openstack-ceilometer-2013.1-0.1.g3.fc18.src.rpm

Comment 2 Kashyap Chamarthy 2013-03-20 05:11:54 UTC
A few comments:

1] I guess you have to explicitly specifiy whether you need a python-2-devel or python-3-devel to resolve the BuildRequires issue. 
       - maybe this needs to be confirmed with upstream

2] I think I may have to use a real F19 system to resolve see the install errors, instead of using mock.

    $ koji latest-pkg python-wsme
    $ koji latest-pkg python-stevedore

Both the above seem to exist

3] rpmlint errors needs to be addressed - some of them appears to be genuine errors 
  -- non-standard-uid/gid
  -- non-readable /etc/ceilometer/sources.json 0640L

Comment 3 Pádraig Brady 2013-03-20 09:26:26 UTC
(In reply to comment #2)
> A few comments:
> 
> 1] I guess you have to explicitly specifiy whether you need a python-2-devel
> or python-3-devel to resolve the BuildRequires issue. 
>        - maybe this needs to be confirmed with upstream

This is a recent enough policy change to be explicit about python versions.
I've uploaded a new spec, with the explicit dep on python2-devel

> 
> 2] I think I may have to use a real F19 system to resolve see the install
> errors, instead of using mock.
> 
>     $ koji latest-pkg python-wsme
>     $ koji latest-pkg python-stevedore

I think this is an artifact of the state of f19 updates at present.
python-wsme is built for example, but when trying to add the update you get:
"python-wsme-0.5b1-1.fc19 not tagged as an update candidate"
In any case, rawhide/f20 is a better test base for new packages like this.

> 
> Both the above seem to exist
> 
> 3] rpmlint errors needs to be addressed - some of them appears to be genuine
> errors 
>   -- non-standard-uid/gid
>   -- non-readable /etc/ceilometer/sources.json 0640L

They're expected. uid/gid will be allocated soon as per the comment in the spec

thanks!

Comment 4 Pádraig Brady 2013-03-20 19:11:16 UTC
Spec URL: http://fedorapeople.org/~pbrady/ceilometer/openstack-ceilometer.spec
SRPM URL: http://fedorapeople.org/~pbrady/ceilometer/openstack-ceilometer-2013.1-0.3.g3.fc18.src.rpm
Description: OpenStack ceilometer provides services to measure and
collect metrics from OpenStack components.
Fedora Account System Username: pbrady

Comment 5 Kashyap Chamarthy 2013-03-21 04:19:57 UTC
Ok, re-ran with the new SRPM, no installation errors this time, posting the review tool result for reference. Still need to do manual investigation:

#--------------------------------------------------#

Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[ ]: Sources contain only permissible code or content.
[ ]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package is not known to require ExcludeArch.
[ ]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python-
     ceilometer , openstack-ceilometer-common , openstack-ceilometer-compute ,
     openstack-ceilometer-central , openstack-ceilometer-collector ,
     openstack-ceilometer-api
[ ]: Package complies to the Packaging Guidelines
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache (v2.0)".
     3 files have unknown license. Detailed output of licensecheck in
     /home/kashyap/rpmbuild/SRPMS/openstack-ceilometer/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[ ]: Package does not own files or directories owned by other packages.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Python:
[ ]: Python eggs must not download any dependencies during the build process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[ ]: Scriptlets must be sane, if used.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[ ]: Files in /run, var/run and /var/lock uses tmpfiles.d when appropriate
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python-ceilometer-2013.1-0.3.g3.fc19.noarch.rpm
          openstack-ceilometer-common-2013.1-0.3.g3.fc19.noarch.rpm
          openstack-ceilometer-compute-2013.1-0.3.g3.fc19.noarch.rpm
          openstack-ceilometer-central-2013.1-0.3.g3.fc19.noarch.rpm
          openstack-ceilometer-collector-2013.1-0.3.g3.fc19.noarch.rpm
          openstack-ceilometer-api-2013.1-0.3.g3.fc19.noarch.rpm
python-ceilometer.noarch: E: explicit-lib-dependency python-amqplib
python-ceilometer.noarch: W: no-documentation
openstack-ceilometer-common.noarch: W: non-standard-gid /etc/ceilometer/ceilometer.conf ceilometer
openstack-ceilometer-common.noarch: E: non-readable /etc/ceilometer/ceilometer.conf 0640L
openstack-ceilometer-common.noarch: W: non-standard-gid /etc/ceilometer/policy.json ceilometer
openstack-ceilometer-common.noarch: E: non-readable /etc/ceilometer/policy.json 0640L
openstack-ceilometer-common.noarch: E: incoherent-logrotate-file /etc/logrotate.d/openstack-ceilometer
openstack-ceilometer-common.noarch: W: non-standard-uid /var/log/ceilometer ceilometer
openstack-ceilometer-common.noarch: W: non-standard-gid /etc/ceilometer/sources.json ceilometer
openstack-ceilometer-common.noarch: E: non-readable /etc/ceilometer/sources.json 0640L
openstack-ceilometer-common.noarch: W: non-standard-uid /var/run/ceilometer ceilometer
openstack-ceilometer-common.noarch: W: non-standard-uid /var/lib/ceilometer ceilometer
openstack-ceilometer-common.noarch: W: non-standard-gid /var/lib/ceilometer ceilometer
openstack-ceilometer-common.noarch: W: non-standard-uid /var/lib/ceilometer/tmp ceilometer
openstack-ceilometer-common.noarch: W: non-standard-gid /var/lib/ceilometer/tmp ceilometer
openstack-ceilometer-common.noarch: W: no-manual-page-for-binary ceilometer-dbsync
openstack-ceilometer-common.noarch: W: no-manual-page-for-binary ceilometer-agent-compute
openstack-ceilometer-common.noarch: W: no-manual-page-for-binary ceilometer-api
openstack-ceilometer-common.noarch: W: no-manual-page-for-binary ceilometer-agent-central
openstack-ceilometer-common.noarch: W: no-manual-page-for-binary ceilometer-collector
openstack-ceilometer-compute.noarch: W: only-non-binary-in-usr-lib
openstack-ceilometer-compute.noarch: W: no-documentation
openstack-ceilometer-compute.noarch: W: no-manual-page-for-binary ceilometer-agent-compute
openstack-ceilometer-central.noarch: W: only-non-binary-in-usr-lib
openstack-ceilometer-central.noarch: W: no-documentation
openstack-ceilometer-central.noarch: W: no-manual-page-for-binary ceilometer-agent-central
openstack-ceilometer-collector.noarch: W: only-non-binary-in-usr-lib
openstack-ceilometer-collector.noarch: W: no-documentation
openstack-ceilometer-collector.noarch: W: no-manual-page-for-binary ceilometer-collector
openstack-ceilometer-api.noarch: W: only-non-binary-in-usr-lib
openstack-ceilometer-api.noarch: W: no-manual-page-for-binary ceilometer-api
6 packages and 0 specfiles checked; 5 errors, 26 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint openstack-ceilometer-central openstack-ceilometer-compute openstack-ceilometer-api openstack-ceilometer-collector python-ceilometer openstack-ceilometer-common
openstack-ceilometer-central.noarch: W: only-non-binary-in-usr-lib
openstack-ceilometer-central.noarch: W: no-documentation
openstack-ceilometer-central.noarch: W: no-manual-page-for-binary ceilometer-agent-central
openstack-ceilometer-compute.noarch: W: only-non-binary-in-usr-lib
openstack-ceilometer-compute.noarch: W: no-documentation
openstack-ceilometer-compute.noarch: W: no-manual-page-for-binary ceilometer-agent-compute
openstack-ceilometer-api.noarch: W: only-non-binary-in-usr-lib
openstack-ceilometer-api.noarch: W: no-manual-page-for-binary ceilometer-api
openstack-ceilometer-collector.noarch: W: only-non-binary-in-usr-lib
openstack-ceilometer-collector.noarch: W: no-documentation
openstack-ceilometer-collector.noarch: W: no-manual-page-for-binary ceilometer-collector
python-ceilometer.noarch: E: explicit-lib-dependency python-amqplib
python-ceilometer.noarch: W: no-documentation
openstack-ceilometer-common.noarch: W: non-standard-gid /etc/ceilometer/ceilometer.conf ceilometer
openstack-ceilometer-common.noarch: E: non-readable /etc/ceilometer/ceilometer.conf 0640L
openstack-ceilometer-common.noarch: W: non-standard-gid /etc/ceilometer/policy.json ceilometer
openstack-ceilometer-common.noarch: E: non-readable /etc/ceilometer/policy.json 0640L
openstack-ceilometer-common.noarch: E: incoherent-logrotate-file /etc/logrotate.d/openstack-ceilometer
openstack-ceilometer-common.noarch: W: non-standard-uid /var/log/ceilometer ceilometer
openstack-ceilometer-common.noarch: W: non-standard-gid /etc/ceilometer/sources.json ceilometer
openstack-ceilometer-common.noarch: E: non-readable /etc/ceilometer/sources.json 0640L
openstack-ceilometer-common.noarch: W: non-standard-uid /var/run/ceilometer ceilometer
openstack-ceilometer-common.noarch: W: non-standard-uid /var/lib/ceilometer ceilometer
openstack-ceilometer-common.noarch: W: non-standard-gid /var/lib/ceilometer ceilometer
openstack-ceilometer-common.noarch: W: non-standard-uid /var/lib/ceilometer/tmp ceilometer
openstack-ceilometer-common.noarch: W: non-standard-gid /var/lib/ceilometer/tmp ceilometer
openstack-ceilometer-common.noarch: W: no-manual-page-for-binary ceilometer-dbsync
openstack-ceilometer-common.noarch: W: no-manual-page-for-binary ceilometer-agent-compute
openstack-ceilometer-common.noarch: W: no-manual-page-for-binary ceilometer-api
openstack-ceilometer-common.noarch: W: no-manual-page-for-binary ceilometer-agent-central
openstack-ceilometer-common.noarch: W: no-manual-page-for-binary ceilometer-collector
6 packages and 0 specfiles checked; 5 errors, 26 warnings.
# echo 'rpmlint-done:'



Requires
--------
openstack-ceilometer-central (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python
    openstack-ceilometer-common
    python-glanceclient
    python-keystoneclient
    python-novaclient
    python-swiftclient

openstack-ceilometer-compute (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python
    libvirt-python
    openstack-ceilometer-common
    python-keystoneclient
    python-novaclient

openstack-ceilometer-api (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python
    openstack-ceilometer-common
    pymongo
    python-flask
    python-pecan
    python-wsme

openstack-ceilometer-collector (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python
    openstack-ceilometer-common
    pymongo

python-ceilometer (rpmlib, GLIBC filtered):
    python(abi)
    python-amqplib
    python-anyjson
    python-eventlet
    python-greenlet
    python-iso8601
    python-kombu
    python-lxml
    python-migrate
    python-qpid
    python-sqlalchemy
    python-stevedore
    python-webob

openstack-ceilometer-common (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python
    config(openstack-ceilometer-common)
    python-ceilometer



Provides
--------
openstack-ceilometer-central:
    openstack-ceilometer-central

openstack-ceilometer-compute:
    openstack-ceilometer-compute

openstack-ceilometer-api:
    openstack-ceilometer-api

openstack-ceilometer-collector:
    openstack-ceilometer-collector

python-ceilometer:
    python-ceilometer

openstack-ceilometer-common:
    config(openstack-ceilometer-common)
    openstack-ceilometer-common



MD5-sum check
-------------
http://tarballs.openstack.org/ceilometer/ceilometer-2013.1.g3.tar.gz :
  CHECKSUM(SHA256) this package     : a12aec52f262d909e6d3164728b94faf6d8c55fa7aa191ad68e540c90da90692
  CHECKSUM(SHA256) upstream package : a12aec52f262d909e6d3164728b94faf6d8c55fa7aa191ad68e540c90da90692


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 --rpm-spec -n openstack-ceilometer-2013.1-0.3.g3.fc18.src.rpm
#--------------------------------------------------#

Comment 6 Michael S. 2013-03-24 20:33:29 UTC
A few notes and questions :

- Any reason to not use the systemd macros in %post ?

- why does the %post of the api subpackage restart the compute service, and if that's not a error, why is there no requires from api to compute subpackages ?


- "Patches link to upstream bugs/comments/lists or are otherwise justified.", there is 2 patch, so the fact they were sent upstream ( or not ) should be explained.

especially the 2nd one, called "0002-add-LICENSE.patch", I am not sure that we can add license as we wish without having legal issues. 

- subpackage requires are wrong, since they need systemdctl and others for running the command. 

- /var/run/ceilometer must be in tmpfile.d ( https://fedoraproject.org/wiki/Packaging:Tmpfiles.d ) since /var/run is a tmpfs 


- why does it requires kombu and qpid ? Isn't it a runtime selection ?

- %check is absent, but there is test, any reason to not run them ( or run only part of them ) ?

- why is the documentation generation disabled by default ?

- Requires(pre):    shadow-utils 
this should be on common, since that's where the %post to create the user is located

- the buildRequires in the doc subpackage are redundant with the main one, so they could be removed for most of them.

- the license should be shipped with any combination of subpackages. For now, there is only a file in the api subpackage.

Comment 7 Pádraig Brady 2013-03-25 11:02:05 UTC
(In reply to comment #6)
> A few notes and questions :
> 
> - Any reason to not use the systemd macros in %post ?

Well I was going to update all the openstack projects together,
so was keeping ceilometer consistent with the others for now.
Also it introduces compat issues with running this package on Fedora 17.
Will consider in future.

> 
> - why does the %post of the api subpackage restart the compute service, and
> if that's not a error, why is there no requires from api to compute
> subpackages ?

typos fixed.

> 
> 
> - "Patches link to upstream bugs/comments/lists or are otherwise
> justified.", there is 2 patch, so the fact they were sent upstream ( or not
> ) should be explained.
> 
> especially the 2nd one, called "0002-add-LICENSE.patch", I am not sure that
> we can add license as we wish without having legal issues. 

First is present on all OpenStack packages, and just avoids onlie access when building docs. Upstream is more general and can have online access for builds.

The license change is merged upstream, so this patch will drop soon:
https://review.openstack.org/#/c/24524/

> 
> - subpackage requires are wrong, since they need systemdctl and others for
> running the command. 

I've now moved those requires down to common subpackage.

> - /var/run/ceilometer must be in tmpfile.d (
> https://fedoraproject.org/wiki/Packaging:Tmpfiles.d ) since /var/run is a
> tmpfs 

We don't really need /var/run/ceilometer actually. Removed.
That needs to be done for other Fedora OpenStack services too.

> 
> - why does it requires kombu and qpid ? Isn't it a runtime selection ?

Yes, but kombu is a minial dependency and qpid is the platform default.
Therefore as per previous discussions and for consistency with other
OpenStack packages, I've left this as is.

> 
> - %check is absent, but there is test, any reason to not run them ( or run
> only part of them ) ?

The OpenStack tests include a lot of dependencies.
Again to be looked at enabling at a later stage.

> - why is the documentation generation disabled by default ?

It's broken. I need to look into it.

> - Requires(pre):    shadow-utils 
> this should be on common, since that's where the %post to create the user is
> located

See above.

> - the buildRequires in the doc subpackage are redundant with the main one,
> so they could be removed for most of them.

BuildRequires left, as they overlap with Requires: not BuildRequires: I think

> - the license should be shipped with any combination of subpackages. For
> now, there is only a file in the api subpackage.

No the main ASL LICENSE is in the common subpackage,
while some _separate_ licenses are only applicable to the API logic,
and so only shipped in that subpackage.

thanks!

Comment 8 Pádraig Brady 2013-03-25 11:08:47 UTC
Spec URL: http://fedorapeople.org/~pbrady/ceilometer/openstack-ceilometer.spec
SRPM URL: http://fedorapeople.org/~pbrady/ceilometer/openstack-ceilometer-2013.1-0.4.g3.fc18.src.rpm
Description: OpenStack ceilometer provides services to measure and
collect metrics from OpenStack components.
Fedora Account System Username: pbrady

Comment 9 Kashyap Chamarthy 2013-03-26 06:03:58 UTC
Some manual review comments:
===========================

[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
	- %defattr(-, ceilometer, ceilometer, -)

[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[-]: Package is not known to require ExcludeArch.

[x ]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache (v2.0)".
     3 files have unknown license. Detailed output of licensecheck in
     /home/kashyap/rpmbuild/SRPMS/openstack-ceilometer/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 3 files.

Comment 10 Kashyap Chamarthy 2013-03-26 06:07:12 UTC
Koji scratch-build also successful:
---------------------
$ koji build --scratch f19 openstack-ceilometer-2013.1-0.4.g3.fc18.src.rpm
Uploading srpm: openstack-ceilometer-2013.1-0.4.g3.fc18.src.rpm
[====================================] 100% 00:00:22 552.36 KiB  24.16 KiB/sec
Created task: 5173610
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=5173610
Watching tasks (this may be safely interrupted)...
5173610 build (f19, openstack-ceilometer-2013.1-0.4.g3.fc18.src.rpm): open (buildvm-14.phx2.fedoraproject.org)
  5173611 buildArch (openstack-ceilometer-2013.1-0.4.g3.fc18.src.rpm, noarch): open (buildvm-19.phx2.fedoraproject.org)
  5173611 buildArch (openstack-ceilometer-2013.1-0.4.g3.fc18.src.rpm, noarch): open (buildvm-19.phx2.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
5173610 build (f19, openstack-ceilometer-2013.1-0.4.g3.fc18.src.rpm): open (buildvm-14.phx2.fedoraproject.org) -> closed
  0 free  0 open  2 done  0 failed

5173610 build (f19, openstack-ceilometer-2013.1-0.4.g3.fc18.src.rpm) completed successfully
---------------------

Looks good to me, package approved.

Thanks Michael Scherer for your review comments.

Comment 11 Pádraig Brady 2013-03-26 09:29:56 UTC
New Package SCM Request
=======================
Package Name: openstack-ceilometer
Short Description: OpenStack measurement collection service
Owners: pbrady
Branches: f17 f18 f19 el6
InitialCC:

Comment 12 Gwyn Ciesla 2013-03-26 12:37:21 UTC
Git done (by process-git-requests).

Comment 13 Fedora Update System 2013-04-08 13:04:38 UTC
openstack-ceilometer-2013.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/openstack-ceilometer-2013.1-1.fc19

Comment 14 Fedora Update System 2013-04-20 19:33:55 UTC
openstack-ceilometer-2013.1-1.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.